gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Scale A horizontal slider widget for selecting a value from a range.

The HScale widget allows the user to select a value with a horizontal slider.

This widget and its model is manipulated using methods and properties in its super classes, and .

- Constructor
  The model to use for this HScale
  Creates a new horizontal slider based on the data in .

  To create a horizontal slider without explicit use of a , use the alternative constructor.

- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  The minimum value that is accepted by this HScale.
  The maximum value that is accepted by this HScale.
  The value to adjust the HScale by when 'sliding'.
  Creates a new horizontal slider without the need for an object.

  Creates a new horizontal slider that lets the user input a number between (and including) and . Each adjustment of the slider changes the value by , which must be non-zero.

- Property
  GLib.GType GType Property. a Returns the native value for .